/*
 * sensor_temperature.h
 *
 * Created: 06/03/2016 12:57:02
 *  Author: anders
 */ 


#ifndef SENSOR_CONVERSION_H_
#define SENSOR_CONVERSION_H_

#define ADC_REF_VOLTAGE 5
// Voltage divider resistances
#define R1 1200000
#define R2 3900

typedef struct temperature_data{
	int16_t temp;
	bool hysteresis;
}TempData;

int16_t sensor_adc_to_temp(int16_t adc_value, bool motorTemp);
int16_t sensor_adc_to_vdc(int16_t adc_value);
void sensor_hysteresis(int16_t onVal, int16_t offVal, TempData *temp);

#endif /* SENSOR_CONVERSION_H_ */