/*
 * timer.c
 *
 * Created: 01/03/2016 16:48:13
 *  Author: anders
 */ 

#include <avr/io.h>

#include "timer.h"

void timer1_init(){
	// Prescaler setup: CTC mode, prescaler = 256
	TCCR1B |= (1 << WGM12) | (1 << CS12);
	
	// Enable interrupt on compare A & B
	TIMSK1 |=  (1<<OCIE1A);
	// Set compare value
	OCR1A = TIMER1_COMPARE_VALUE_10Hz;
	
	// Initialize timer
	TCNT1 = 0;
}