/*
 * motor.h
 *
 * Created: 01.03.2016 17.02.53
 *  Author: Simen
 */ 


#ifndef MOTOR_H_
#define MOTOR_H_

typedef struct{
	uint32_t  poles;
	float32_t lambda;
	float32_t R_s;
	float32_t L_q;
	float32_t L_d;
	float32_t L_s;
	float32_t I_max;
	float32_t Id_max;
	float32_t Id_min;
	float32_t speed_max;
}Motor_data_t;

Motor_data_t *motor_get_parameter_ptr();

#endif /* MOTOR_H_ */