/*
 * can.h
 *
 * Created: 08.02.2016 17.18.21
 *  Author: Simen
 *	Mostly a redo of sam4e-base_15/RevolveDrivers/can.h
 */ 


#ifndef CAN_H_
#define CAN_H_

#include <sam.h>
#include "can_types.h"
#include "can_status_codes.h"

void can_init(	Mcan *can,
				enum Can_baudrate_t baudrate_kbps,
				uint32_t *accepted_standard_ids,
				uint32_t num_standard_ids,
				uint32_t *accepted_extended_ids,
				uint32_t num_extended_ids,
				void (*callback_function)(uint32_t index),
				uint32_t interrupt_priority
	);
enum status_code can_sendMessage(Mcan *can, struct Can_message_t *message);	//NOT THREADSAFE
void can_getMessage(Mcan *can, struct Can_message_t *message, uint32_t buffer_index); //NOT THREADSAFE




#endif /* CAN_H_ */