/*
 * adcConversion.c
 *
 * Created: 05.05.2015 16:18:59
 *  Author: Kjetil
 */ 
#include <stdint.h>


float adcConversion_linearConversion(int32_t rawValue,
									int32_t rawValueMin, 
									int32_t rawValueMax, 
									float conversionValueMin, 
									float conversionValueMax)
{
	int32_t rawRangeSize = rawValueMax - rawValueMin;
	int32_t compensatedRawValue = rawValue - rawValueMin;
	
	float conversionRangeSize = conversionValueMax - conversionValueMin;
	
	return conversionValueMin + ((float) compensatedRawValue)*conversionRangeSize/( (float) rawRangeSize);
}