﻿/*
 * utiliies.h
 *
 * Created: 4. mar 2016 14:54:56
 *  Author: Stasjonær
 */ 


#ifndef UTILITIES_H_
#define UTILITIES_H_

#define SQRT_2 (1.4142135623730950488016887242097f)
#define RMS(a) (a * SQRT_2)
#define RPM(a) ((2 * PI * a) / 60)

#include <sam.h>
#include <arm_math.h>
#include <math.h>
#include "utilities.h"

static inline float32_t square(float32_t a){
	return powf(a , 2.0);
}

static inline float32_t sign(float32_t a){
	return a < 0 ? -1 : 1;
}

static inline float32_t get_squared_vector_magnitude(float32_t x, float32_t y){
	return square(x) + square(y);
}

#endif /* UTILIIES_H_ */