/*
 * mazet_status.h
 *
 * Created: 12.05.2016 14.03.25
 *  Author: Simen
 */ 


#ifndef MAZET_STATUS_H_
#define MAZET_STATUS_H_

#define MAZET_STATUS_REC_1_UPDATED_bit			(1 <<  0)
#define MAZET_STATUS_ERROR_1_bit				(1 <<  1)
#define MAZET_STATUS_CRC_ERROR_bit				(1 <<  2)
#define MAZET_STATUS_F_ERROR_1_bit				(1 <<  3)
#define MAZET_STATUS_F_ERROR_2_bit				(1 <<  4)
#define MAZET_STATUS_ADRESSING_ERROR_bit		(1 <<  5)
#define MAZET_STATUS_INTERRUPT_6_bit			(1 <<  6)
#define MAZET_STATUS_INTERRUPT_7_bit			(1 <<  7)
#define MAZET_STATUS_REC_2_UPDATED_bit			(1 <<  8)
#define MAZET_STATUS_REC_3_UPDATED_bit			(1 <<  9)
#define MAZET_STATUS_ERROR_2_bit				(1 << 10)
#define MAZET_STATUS_CRC_EXTRA_1_ERROR_bit		(1 << 11)
#define MAZET_STATUS_CRC_EXTRA_2_ERROR_bit		(1 << 12)
#define MAZET_STATUS_ENCODER_SENT_BUSY_bit		(1 << 13)
#define MAZET_STATUS_ENCODER_SENT_RM_bit		(1 << 14)
#define MAZET_STATUS_ENCODER_SENT_WRN_bit		(1 << 15)
#define MAZET_STATUS_SPIKE_ON_INPUT_bit			(1 << 16)
#define MAZET_STATUS_WATCHDOG_TRIGGERED_bit		(1 << 17)
#define MAZET_STATUS_CRC_EXTRA_3_ERROR_bit		(1 << 18)
#define MAZET_STATUS_PROP_MEASURE_SUCCESS_bit	(1 << 23)
#define MAZET_STATUS_DELAY_COMP_ENABLED_bit		(1 << 22)
#define MAZET_STATUS_SPEED_READY_bit			(1 << 29)
#define MAZET_STATUS_READY_FOR_STROBE_bit		(1 << 30)
#define MAZET_STATUS_READY_bit					(1 << 31)

#define MAZET_STATUS_ERROR_mask				(	MAZET_STATUS_CRC_ERROR_bit			|\
												MAZET_STATUS_F_ERROR_1_bit			|\
												MAZET_STATUS_F_ERROR_2_bit			|\
												MAZET_STATUS_ADRESSING_ERROR_bit	|\
												MAZET_STATUS_CRC_EXTRA_1_ERROR_bit	|\
												MAZET_STATUS_CRC_EXTRA_2_ERROR_bit	|\
												MAZET_STATUS_CRC_EXTRA_3_ERROR_bit	)

#define MAZET_STATUS_WARNING_mask			(	MAZET_STATUS_ENCODER_SENT_BUSY_bit	|\
												MAZET_STATUS_ENCODER_SENT_RM_bit	|\
												MAZET_STATUS_ENCODER_SENT_WRN_bit	|\
												MAZET_STATUS_SPIKE_ON_INPUT_bit		)



#endif /* MAZET_STATUS_H_ */