﻿/*
 * pid.h
 *
 * Created: 4. mar 2016 15:39:05
 *  Author: Simen
 */ 


#ifndef PID_H_
#define PID_H_

#define PID_AW_CLAMPING
//#define PID_AW_BACKCOUNTING

typedef struct{
	float32_t K_p;
	float32_t K_i;
	float32_t K_d;
	float32_t K_antiwindup;
	
	float32_t T_s;
}Pid_settings_t;

typedef struct{
	Pid_settings_t settings;
	
	float32_t integrator;
	float32_t last_input;
	float32_t last_output;
	
	float32_t saturation_max;
	float32_t saturation_min;
}Pid_data_t;

float32_t do_pid(Pid_data_t *data, float32_t error);


#endif /* PID_H_ */