/*
 * wdt.c
 *
 * Created: 24.02.2016 16.11.55
 *  Author: Sondre
 */ 

#include "wdt.h"

static const int TICS_PR_SEC = 256;

void wdt_enable(uint8_t period)
{
    WDT->WDT_MR = WDT_MR_WDV(TICS_PR_SEC * period) |
    WDT_MR_WDD(TICS_PR_SEC * period) |
    WDT_MR_WDRSTEN |
    WDT_MR_WDDBGHLT;
}

void wdt_disable()
{
    WDT->WDT_MR = WDT_MR_WDDIS;
}

void wdt_restart()
{
    WDT->WDT_CR = WDT_CR_KEY_PASSWD | WDT_CR_WDRSTT;
}
