/*
 * sensors_encoder.h
 *
 * Created: 01.03.2016 15.01.10
 *  Author: Simen
 */ 


#ifndef SENSORS_ENCODER_H_
#define SENSORS_ENCODER_H_

void encoder_init();
uint32_t encoder_get_dma_data();
float32_t encoder_get_radians(uint32_t enc_pos);
float32_t encoder_get_degrees(uint32_t enc_pos);
void encoder_calc_speed(state_variables_t *state, uint32_t calling_frequency);
void encoder_get_sin_cos(state_variables_t *state);
void encoder_start_new_transfer();
void encoder_stop_transfer();



#endif /* SENSORS_ENCODER_H_ */