/*
 * can_wrapper.h
 *
 * Created: 08.03.2016 21.20.08
 *  Author: Simen
 */ 


#ifndef CAN_WRAPPER_H_
#define CAN_WRAPPER_H_

#define NUM_DATA_MESSAGES 2

void can_wrapper_init();
float32_t can_wrapper_get_max_torque_request();
float32_t can_wrapper_get_min_torque_request();
float32_t can_wrapper_get_speed_request();

bool can_wrapper_send_data_msg(volatile state_variables_t *state);
void can_wrapper_send_parameter(uint32_t inverter_ID, uint8_t parameter_ID, int16_t parameter_data);
bool can_wrapper_send_state_msg();
bool can_wrapper_send_alive_msg();

#endif /* CAN_WRAPPER_H_ */